Logistics
Get Shipment
GET
/
logistics
/
shipments
/
{shipment_id}
Get Shipment
curl --request GET \
--url https://vinmake-erp.onrender.com/logistics/shipments/{shipment_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://vinmake-erp.onrender.com/logistics/shipments/{shipment_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vinmake-erp.onrender.com/logistics/shipments/{shipment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"documentId": "<string>",
"direction": "<string>",
"shipmentKind": "<string>",
"scope": "<string>",
"status": "<string>",
"primaryPurchaseOrderId": "<string>",
"primaryPurchaseOrderDocumentId": "<string>",
"productionOrderId": "<string>",
"productionOrderDocumentId": "<string>",
"workOrderId": "<string>",
"workOrderDocumentId": "<string>",
"primarySalesOrderId": "<string>",
"primarySalesOrderDocumentId": "<string>",
"originLocationId": "<string>",
"originLocationName": "<string>",
"notes": "<string>",
"incoterm": "<string>",
"paymentTerms": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"lineItemsCount": 123,
"packingListsCount": 123,
"lineItems": [
{
"id": "<string>",
"shipmentId": "<string>",
"lineNumber": 123,
"sourceDocumentType": "<string>",
"plannedQty": 123,
"uom": "<string>",
"status": "<string>",
"sourceDocumentId": "<string>",
"sourceLineId": "<string>",
"purchaseOrderId": "<string>",
"purchaseOrderDocumentId": "<string>",
"purchaseOrderLineItemId": "<string>",
"salesOrderId": "<string>",
"salesOrderLineItemId": "<string>",
"materialId": "<string>",
"materialSkuId": "<string>",
"materialType": "<string>",
"styleId": "<string>",
"styleSkuId": "<string>",
"description": "<string>",
"color": "<string>",
"size": "<string>",
"destinationLocationId": "<string>",
"destinationLocationName": "<string>",
"plannedShipDate": "<string>",
"plannedArrivalDate": "<string>",
"etaDate": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
⌘I
Get Shipment
